#include <qapplication.h>
#include <qdir.h>

#include "xplode.h"

// Shared variable
QString *plasmXplode;

int main(int argc, char *argv[])
{
	// Get Xplode path
	plasmXplode = new QString(argv[0]);

	// Create a new Qt Application
	QApplication app(argc, argv);

	XplodeApp *xplode = new XplodeApp();
	app.setMainWidget(xplode);

	// Show the main window
	xplode->showMaximized();

	// Open the given document - if any - or an empty one
	if (argc > 1)
		xplode->openDocumentFile(argv[1]);
	else
		xplode->openDocumentFile();

	return app.exec();
}
