#ifndef SHARED_H
#define SHARED_H

#ifdef linux
	#define plasmDocuments "Plasm documents (*.psm);;All files (*)"
	#define vrmlDocuments  "Vrml files (*.wrl);;All files (*)"
	#define svgDocuments   "Svg graphic files (*.svg);;All files (*)"
	#define flashDocuments "Flash files (*.swf);;All files (*)"
	#define executableFiles "Programs (*)"

	#define directorySeparator '/'
#endif

#ifdef unix
	#define plasmDocuments "Plasm documents (*.psm);;All files (*)"
	#define vrmlDocuments  "Vrml files (*.wrl);;All files (*)"
	#define svgDocuments   "Svg graphic files (*.svg);;All files (*)"
	#define flashDocuments "Flash files (*.swf);;All files (*)"
	#define executableFiles "Programs (*)"

	#define directorySeparator '/'
#endif

#ifdef __APPLE__
	#define plasmDocuments "Plasm documents (*.psm);;All files (*)"
	#define vrmlDocuments  "Vrml files (*.wrl);;All files (*)"
	#define svgDocuments   "Svg graphic files (*.svg);;All files (*)"
	#define flashDocuments "Flash files (*.swf);;All files (*)"
	#define executableFiles "Programs (*)"

	#define directorySeparator '/'
#endif

#ifdef WIN32
	#define plasmDocuments "Plasm documents (*.psm);;All files (*.*)"
	#define vrmlDocuments  "Vrml files (*.wrl);;All files (*.*)"
	#define svgDocuments   "Svg graphic files (*.svg);;All files (*.*)"
	#define flashDocuments "Flash files (*.swf);;All files (*.*)"
	#define executableFiles "Programs (*.exe)"

	#define directorySeparator '\\'
#endif

// Shared variables
extern QString *plasmXplode;
extern QString *plasmPath;
extern QString *plasmPlt;
extern QString *plasmVrmlViewer;
extern QString *plasmSvgViewer;
extern QString *plasmFlashViewer;
extern QFont   *plasmEditorFont;
extern QFont   *plasmListenerFont;
extern QString *plasmNewLine;

#endif
